import * as React from 'react';
import { PropsWithMetadata, ColorToken } from '@highlight-ui/utils-commons';
export declare type CircularProgressProps = PropsWithMetadata<{
    /** Percentage of the progress  */
    percentage: number;
    /** Custom color token for the progress circular line */
    color?: ColorToken;
}>;
export declare type CircularProgressRef = React.Ref<HTMLDivElement>;
declare const CircularProgress: React.ForwardRefExoticComponent<{
    /** Percentage of the progress  */
    percentage: number;
    /** Custom color token for the progress circular line */
    color?: "form-control-unselected-background" | "form-control-selected-background" | "form-control-unselected-disabled-background" | "form-control-selected-disabled-background" | "form-control-foreground" | "form-control-border-default" | "form-control-border-hover" | "form-control-border-disabled" | "backdrop" | "action-primary-default" | "action-primary-hover" | "action-primary-active" | "action-primary-focus" | "action-primary-disabled" | "action-secondary-default" | "action-secondary-hover" | "action-secondary-active" | "action-secondary-focus" | "action-secondary-disabled" | "action-critical-default" | "action-critical-hover" | "action-critical-active" | "action-critical-focus" | "action-critical-disabled" | "action-success-default" | "action-success-hover" | "action-success-active" | "action-success-focus" | "action-success-disabled" | "text-default" | "text-subdued" | "text-hover" | "text-disabled" | "text-hint-text" | "text-on-primary" | "text-on-emphasis" | "text-on-secondary" | "text-on-secondary-disabled" | "text-on-action-critical" | "text-on-action-success" | "text-on-interactive" | "text-on-interactive-subdued" | "text-on-background-warning" | "text-on-background-critical" | "text-on-background-success" | "background-default" | "background-subdued" | "background-hover" | "background-subdued-selected" | "background-subdued-hover" | "background-disabled" | "background-emphasis" | "background-warning-default" | "background-warning-hover" | "background-critical-default" | "background-critical-hover" | "background-success-default" | "background-success-hover" | "icon-default" | "icon-subdued" | "icon-disabled" | "icon-hover" | "icon-critical" | "icon-success" | "icon-warning" | "icon-highlight" | "icon-on-emphasis" | "icon-on-primary" | "icon-on-secondary" | "icon-on-secondary-disabled" | "icon-on-critical" | "icon-on-success" | "icon-on-interactive-subdued" | "icon-on-background-warning" | "icon-on-background-critical" | "icon-on-background-success" | "icon-on-interactive" | "interactive-brand-default" | "interactive-brand-subdued" | "interactive-brand-hover" | "interactive-brand-disabled" | "interactive-critical-default" | "interactive-critical-hover" | "interactive-critical-disabled" | "focus-default" | "border-default" | "border-emphasis" | "border-subdued" | "border-hover" | "border-disabled" | "border-critical" | "border-warning" | "border-success" | "border-highlight" | "accent-10" | "accent-100" | "accent-105" | "accent-110" | "accent-115" | "neutral-10" | "neutral-20" | "neutral-40" | "neutral-60" | "neutral-80" | "neutral-white" | "neutral-black" | "neutral-cool-10" | "neutral-cool-20" | "neutral-cool-23" | "neutral-cool-25" | "neutral-cool-60" | "semantic-critical-10" | "semantic-critical-100" | "semantic-critical-105" | "semantic-critical-110" | "semantic-critical-115" | "semantic-warning-10" | "semantic-warning-100" | "semantic-warning-105" | "semantic-warning-110" | "semantic-warning-115" | "semantic-success-10" | "semantic-success-100" | "semantic-success-105" | "semantic-success-110" | "semantic-success-115" | "semantic-highlight-10" | "semantic-highlight-100" | "semantic-highlight-105" | "semantic-highlight-110" | "semantic-highlight-115" | "support-red-10" | "support-red-100" | "support-red-105" | "support-red-115" | "support-pink-10" | "support-pink-100" | "support-pink-110" | "support-pink-115" | "support-purple-10" | "support-purple-80" | "support-purple-100" | "support-purple-110" | "support-purple-120" | "support-dark-blue-10" | "support-dark-blue-100" | "support-dark-blue-110" | "support-dark-blue-115" | "support-green-10" | "support-green-100" | "support-green-110" | "support-green-115" | "support-light-green-10" | "support-light-green-100" | "support-light-green-110" | "support-light-green-115" | "support-yellow-10" | "support-yellow-100" | "support-yellow-105" | "support-yellow-115" | "support-brown-10" | "support-brown-20" | "support-brown-100" | "support-brown-105" | "support-grey-10" | "support-grey-100" | "support-grey-110" | "support-grey-115" | "support-grey-200" | "opacity-neutral-65" | "opacity-neutral-32" | "opacity-neutral-08" | "opacity-accent-38" | "opacity-critical-38" | "opacity-success-38" | undefined;
} & {
    metadata?: import("@highlight-ui/utils-commons").ComponentMetadata | undefined;
} & React.RefAttributes<HTMLDivElement>>;
export default CircularProgress;
